h1 {
    height: 30px;
    margin-top: 0;
}

h1:before {
    margin-right: 6px;
    margin-top: 6px;
    vertical-align: top !important;
}

/* Common */
content fieldset {
    margin: 1px;
}

fieldset h3.invert,
.h3-inner {
    height: 20px;
    line-height: 20px;
}

fieldset h3.invert {
    border-radius: 3px 3px 0 0;
    margin-bottom: 2px;
    margin-top: 0;
}

.subtitle {
    font-weight: bold;
    height: 18px;
    line-height: 18px;
    margin-bottom: 2px;
    text-align: center;
}

/* Other Games */
.other_games {
    position: absolute;
    right: 0;
    width: fit-content;
    z-index: 20;
}

.other_games a,
.other_games span {
    display: block;
}

.other_games dt,
.other_games dt span {
    line-height: 18px;
}

.other_games dt {
    padding-right: 3px;
    text-align: right;
    -webkit-user-select: none;
    user-select: none;
}

.other_games dt span:after {
    margin-left: 3px;
}

.other_games:not(.open) dd {
    display: none;
}

.other_games.open dd {
    border-color: #000000;
    border-style: solid;
    border-width: 0 1px 1px;
    display: block;
    text-align: center;
}

.other_games.open dd:first-of-type {
    border-top-width: 1px;
}

.other_games.open a,
.other_games.open dd span {
    line-height: 20px;
}

.other_games.open a {
    box-sizing: border-box;
    padding: 0 6px;
    width: 100%;
}

.other_games.open dd span:before {
    margin-right: 5px;
    vertical-align: top;
}

/* Statuses */
.action-status {
    position: absolute !important;
    width: calc(100% - 31px);
    z-index: 20;
}

.user-action {
    z-index: 10;
}

.integration-issue {
    text-align: center;
}

.integration-issue:before {
    float: left;
}

.achievements-earned ul {
    margin-left: 16px;
}

.achievements-earned li {
    line-height: 16px;
    margin-top: 3px;
}

.achievements-earned:before {
    margin-right: 0;
    vertical-align: top;
}

/* Custom Progress Bar */
.progress .stress stress-bar,
modal .bar.stress stress-bar {
    background: linear-gradient(90deg, #00cc00, #88cc00 30%, #cccc00 55%, #cc8800 70%, #cc0000 90%);
    display: block;
    width: 100%;
}

.progress .stress stress-bar {
    height: 100%;
}

.progress .stress marker,
modal .bar.stress marker {
    border-right: 2px solid #000000;
    display: block;
    min-width: 1px;
    position: absolute;
}

.progress .stress marker {
    height: calc(100% - 2px);
    margin-top: 1px;
    max-width: calc(100% - 3px);
}

.progress .stress .container,
modal .bar.stress .container {
    border-color: #cccc00;
}

/* Selections */
fieldset.sel ul {
    height: 130px;
    position: relative;
}

fieldset.sel li:not(.locks) {
    float: left;
}

fieldset.sel li:not(.mugshot) {
    width: calc(100% - 89px);
}

fieldset.sel .name {
    height: 18px;
    line-height: 18px;
    margin-bottom: 2px;
    text-align: center;
}

fieldset.sel .name .icon:before,
fieldset.sel span.info .icon:before {
    margin-top: 1px;
    vertical-align: top;
}

fieldset.sel .mugshot {
    border-bottom-left-radius: 3px;
    margin-right: 2px;
}

fieldset.sel .info {
    height: 18px;
    line-height: 18px;
    position: relative;
    text-align: center;
}

fieldset.sel .info .icon:before {
    margin-left: 3px;
}

fieldset.sel span.info,
fieldset.sel span.info .icon {
    display: inline-block;
}

fieldset.sel .info .sel_flags {
    position: absolute;
    right: 0;
}

fieldset.sel .info .sel_flags span {
    display: inline-block;
}

fieldset.sel .info .sel_flags span:before {
    margin: 1px 0 1px 3px;
}

fieldset.sel .info .flag_right:after {
    vertical-align: baseline;
}

fieldset.sel.last .with-info.subtitle,
fieldset.sel.curr .subtitle {
    margin-top: 2px;
}

fieldset.sel.last .subtitle.outcome,
fieldset.sel.last .subtitle.score {
    margin-bottom: 0;
}

fieldset.sel.last .opponent-beaten {
    height: 16px;
    line-height: 16px;
    margin: 0 auto;
    width: fit-content;
}

fieldset.sel.last .opponent-beaten:before {
    vertical-align: top;
}

fieldset.sel.last .outcome,
fieldset.sel.last .score,
fieldset.sel.last .result {
    width: calc(((100% - 89px) / 2) - 1px);
}

fieldset.sel.last .outcome {
    margin-right: 1px;
}

fieldset.sel.last .outcome abbrev {
    border-bottom: 1px dotted #333333;
    color: #333333;
    cursor: help;
}

fieldset.sel.last .score {
    margin-left: 1px;
}

fieldset.sel.last .results-soon {
    margin-top: 2px;
}

fieldset.sel .result {
    font-size: 26px;
    font-weight: bold;
    height: 34px;
    line-height: 34px;
    text-align: center;
}

@media only screen and (min-width: 1002px) {
    .grid-1-3 .track_box.sel .result.outcome,
    .grid-1-3 .shale_box.sel .result.outcome {
        font-size: 22px;
    }
}

fieldset.sel .result.positive,
.history .result.positive {
    color: #008800;
}

fieldset.sel .result.neutral,
.history .result.neutral {
    color: #333333;
}

fieldset.sel .result.negative,
.history .result.negative {
    color: #cc0000;
}

fieldset.sel .stress {
    position: relative;
    width: 100%;
}

fieldset.sel .stress marker,
fieldset.sel stress-bar {
    display: block;
    height: 16px;
    line-height: 16px;
}

fieldset.sel .stress marker {
    border-left: 2px solid #000000;
    font-weight: bold;
    padding-left: 3px;
    position: relative;
    text-align: left;
    width: 32px;
    z-index: 20;
}

fieldset.sel stress-bar {
    background: linear-gradient(90deg, #00cc00, #88cc00 30%, #cccc00 55%, #cc8800 70%, #cc0000 90%);
    left: 0;
    position: absolute;
    top: 0;
    width: calc(100% - 35px);
    z-index: 10;
}

fieldset.sel .actions .sel-add {
    width: 100%;
}

fieldset.sel .actions button:not(.sel-add) {
    width: calc(50% - 1px);
}

fieldset.sel .actions .sel-rmv,
fieldset.sel .actions .sel-rmv-yes {
    float: right;
}

fieldset.sel .actions.rmv-confirm {
    position: relative;
}

fieldset.sel .actions:not(.rmv-confirm) .rmv-actions {
    display: none;
}

fieldset.sel .actions.rmv-confirm .rmv-actions {
    margin: 0;
    position: absolute;
    text-align: center;
    top: 0;
    width: calc(100% - 8px);
    z-index: 10;
}

fieldset.sel .actions.rmv-confirm .rmv-actions div {
    margin-bottom: 2px;
}

fieldset.sel .locks {
    border-bottom-right-radius: 3px;
    bottom: 0;
    height: 22px;
    line-height: 22px;
    position: absolute;
    right: 0;
    text-align: center;
}

fieldset.sel .locks:before {
    vertical-align: text-bottom;
}

/* Leaderboard */
.leaderboard {
    height: calc(100% - 10px);
}

fieldset.sel.curr .actions .box.info,
.leaderboard .box.info {
    height: 16px;
    line-height: 16px;
    margin: 0;
    text-align: center;
}

fieldset.sel.curr .actions .box.info:before,
.leaderboard .box.info:before {
    vertical-align: top;
}

.leaderboard .tab {
    -webkit-user-select: none;
    user-select: none;
}

.leaderboard dt,
.leaderboard dd:not(.table) {
    float: left;
    height: 20px;
    line-height: 20px;
    text-align: center;
}

.leaderboard dt:not(.tab):not(.num-0),
.leaderboard dd:not(.table):not(.num-0) {
    margin-top: 2px;
}

.leaderboard dt.tab {
    border-radius: 3px 3px 0 0;
    margin-bottom: 2px;
}

.leaderboard.tabs-2 dt.tab {
    width: calc(50% - 1px);
}

.leaderboard.tabs-3 dt.tab:nth-child(odd) {
    width: calc((100% / 3) - 1px);
}

.leaderboard.tabs-3 dt.tab:nth-child(even) {
    width: calc((100% / 3) - 2px);
}

.leaderboard dt.tab.unsel {
    font-weight: normal;
}

.leaderboard dt.tab:nth-child(1),
.leaderboard.tabs-3 dt.tab:nth-child(2) {
    margin-right: 1px;
}

.leaderboard dt.tab:nth-child(2),
.leaderboard dt.tab:nth-child(3) {
    margin-left: 1px;
}

.leaderboard dl dd:not(.table, .view-leaders) {
    margin-left: 2px;
}

.leaderboard .pos {
    width: 70px;
}

.leaderboard .pos span {
    display: inline-block;
    min-width: 45px;
}

.leaderboard .pos span:after {
    float: right;
    margin-left: 2px;
    margin-top: 2px;
    vertical-align: initial;
}

.leaderboard .pos span.multiple-ties:after {
    content: " ";
    height: 16px;
    width: 16px;
}

.leaderboard .name {
    width: calc(100% - 124px);
}

.leaderboard .score {
    width: 50px;
}

.leaderboard .horiz-sep {
    height: 3px !important;
    margin-left: 0 !important;
    width: 100%;
}

.leaderboard .view-leaders {
    border-radius: 0 0 3px 3px;
    width: 100%;
}

@media only screen and (min-width: 1002px) {
    .sel-1 fieldset.sel {
        height: calc(100% - 10px);
    }

    .sel-2 .leaderboard .horiz-sep {
        height: 6px !important;
    }
}

/* Selection Dropoff */
.dropoff-warning {
    text-align: center;
}

.dropoff-warning:before {
    float: left;
}

.dropoff .intro {
    margin-bottom: 3px;
    text-align: justify;
}

.dropoff-cell h3 {
    margin-bottom: 0;
}

.dropoff-cell div {
    text-align: center;
}

.dropoff-cell .score {
    font-weight: bold;
}

.dropoff-cell .note {
    font-size: 12px;
}

@media only screen and (min-width: 481px) {
    .dropoff-cell .score {
        font-size: 26px;
        line-height: 34px;
    }
    .dropoff-cell .note {
        line-height: 20px;
        padding-top: 3px;
    }
}

@media only screen and (max-width: 480px) {
    .dropoff-cell .score,
    .dropoff-cell .note {
        float: left;
        line-height: 20px;
    }
    .dropoff-cell .score {
        font-size: 16px;
        width: calc(100% - 176px);
    }
    .dropoff-cell .note {
        border-left: 1px solid #666666;
        width: 175px;
    }
}

/* Selection Usage */
.sel_usage .intro,
.sel_usage ul {
    text-align: center;
}

.sel_usage .intro {
    margin-bottom: 0;
    width: 100%;
}

.sel_usage li {
    height: 32px;
    line-height: 16px;
    margin-top: 3px;
    padding: 2px 0;
    text-align: center;
}

.sel_usage li,
.sel_usage li span {
    display: inline-block;
}

.sel_usage li,
.sel_usage li .usage {
    width: 58px;
}

.sel_usage li.used {
    background-color: #ffcccc;
}

.sel_usage li .team:before {
    vertical-align: top;
}

.sel_usage li.used .team:before {
    filter: grayscale(1);
}

.sel_usage li.used .team {
    color: #888888;
    text-decoration: line-through;
}

.sel_usage li.used .usage {
    color: #880000;
    font-style: italic;
}

/* Stats: Success Rate and Period Summary */
.top-sel,
.top-busters,
.period-summary .sel-pop dl {
    margin: 0 auto;
    max-width: 250px;
}

.top-sel dt,
.top-busters dt,
.period-summary dt {
    text-align: center;
}

fieldset.sel_stats .gauge,
.period-summary .gauge {
    height: 110px;
    overflow-y: hidden;
}

fieldset.sel_stats .gauge chart,
.period-summary .gauge chart {
    display: inline-block;
    height: 200px;
    margin-top: -15px;
    width: 100%;
}

fieldset.sel_stats .gauge .highcharts-background,
.period-summary .gauge .highcharts-background {
    fill: rgba(255, 255, 255, 0);
}

fieldset.sel_stats .gauge .highcharts-color-0 {
    color: #00e272;
    fill: #00e272;
    stroke: #00e272;
}

fieldset.sel_stats .gauge .highcharts-color-1 {
    color: #6b8abc;
    fill: #6b8abc;
    stroke: #6b8abc;
}

fieldset.sel_stats .gauge .highcharts-color-2 {
    color: #fa4b42;
    fill: #fa4b42;
    stroke: #fa4b42;
}

fieldset.sel_stats .gauge .highcharts-color-3 {
    color: #91e8e1;
    fill: #91e8e1;
    stroke: #91e8e1;
}

.period-summary .sel-pop dl {
    height: 32px;
    margin-bottom: 2px;
}

.top-sel dt,
.top-sel dd,
.top-busters dt,
.top-busters dd,
.period-summary .sel-pop dt,
.period-summary .sel-pop dd {
    line-height: 16px;
}

.top-sel dd,
.top-busters dd,
.period-summary .sel-pop dd {
    float: left;
}

.top-sel .entity,
.top-busters .entity {
    padding-left: 3px;
}

.top-sel .entity {
    width: calc(100% - 73px);
}

.top-sel .num,
.top-sel .success,
.top-busters .rating {
    text-align: center;
}

.top-sel .num {
    font-weight: bold;
    width: 20px;
}

.top-sel .success {
    font-style: italic;
    width: 50px;
}

.top-busters dt span {
    display: inline-block;
    line-height: 16px;
}

.top-busters .rating {
    width: 65px;
}

.top-busters .entity {
    width: calc(100% - 68px);
}

.period-summary .sel-pop dd.sel-pct {
    text-align: right;
    width: 50px;
}

.period-summary .sel-pop .pos dd.sel-pct {
    color: #008800;
}

.period-summary .sel-pop .neg dd.sel-pct {
    color: #cc0000;
}

.period-summary .sel-pop dd.name {
    margin-left: 2px;
    padding-left: 3px;
    width: calc(100% - 55px);
}

@media only screen and (max-width: 480px) {
    .top-busters dt {
        margin-top: 7px;
    }
}

/* Achievements */
.achievements p {
    margin-bottom: 0;
    text-align: center;
    width: 100%;
}

.achievements dl {
    margin: 0 auto;
}

.achievements dt,
.achievements dd {
    float: left;
}

.achievements dt,
.achievements .list .descrip,
.achievements .opponents .opp:nth-child(7n - 4) {
    clear: left;
}

.achievements dt,
.achievements .list .level,
.achievements .opponents .opp {
    line-height: 16px;
}

.achievements dl:not(.opponents) dt,
.achievements .list .level,
.achievements .opponents .opp {
    margin-top: 3px;
}

.achievements dl,
.achievements .list dt {
    width: fit-content;
}

.achievements .list dt:after {
    content: "\2013";
    display: inline-block;
    padding: 0 3px;
}

.achievements .list .descrip {
    font-style: italic;
}

.achievements .list .level {
    margin-right: 6px;
}

.achievements .opponents {
    width: 350px;
}

.achievements .opponents dt,
.achievements .opponents .descrip {
    text-align: center;
    width: 100%;
}

.achievements .opponents .opp {
    width: 50px;
}

.achievements .list .level:not(.achieved):before,
.achievements .opponents .opp:not(.achieved) span:before {
    filter: grayscale(1);
    opacity: 0.7;
}

.achievements .opponents .opp:not(.achieved) {
    text-decoration: line-through;
}

/* Rules */
.rules {
    position: relative;
}

.rules h3.invert {
    margin: 0;
}

.rules span {
    display: inline-block;
    margin-top: 3px;
    position: absolute;
    right: 6px;
    top: 0;
    -webkit-user-select: none;
    user-select: none;
}

.rules ul {
    margin-top: 3px;
    padding-left: 20px;
}

.rules.closed h3.invert {
    border-radius: 3px;
}

.rules.closed ul {
    display: none;
}

/* Generic Modals */
modal .modal-body {
    box-sizing: border-box;
    margin: 3px;
    position: fixed;
    z-index: 820;
}

modal .modal-body bottom {
    bottom: 3px;
    display: block;
    height: 21px;
    position: absolute;
    width: calc(100% - 6px);
}

modal .modal-body bottom .row {
    line-height: 21px;
}

modal .modal-body bottom button {
    width: 55px;
}

modal .status-msg {
    margin: 0;
    position: absolute;
    width: calc(100% - 13px);
    z-index: 10;
}

modal.selection template,
modal.leader template,
modal.selection actions {
    display: none;
}

@media only screen and (min-width: 1002px) {
    modal.selection .modal-body,
    modal.leader .modal-body {
        left: calc((100% - 1000px) / 2);
    }
}

/* Leaderboard Modal */
.leader-modal {
    max-width: 994px;
    width: calc(100% - 6px);
    z-index: 810;
}

.leader-modal .leaderboard.template dt,
.leader-modal .leaderboard.template dd {
    background-color: #cccccc;
}

.leader-modal .status-msg {
    margin-top: 2px;
}

.leader-modal h3.invert {
    margin-bottom: 0;
}

.leader-modal .leaderboard dd {
    margin-left: 2px;
}

.leader-modal .leaderboard .last-result {
    width: 75px;
}

.leader-modal bottom button {
    float: right;
}

@media only screen and (max-width: 768px) {
    modal.leader .modal-body {
        height: 540px;
        max-height: calc(100% - 6px);
    }

    .leader-modal .leaderboard {
        max-height: calc(100% - 43px);
        overflow: -moz-scrollbars-none;
        -ms-overflow-style: none;
        overflow-y: scroll;
        scrollbar-width: none;
    }
    .leader-modal .leaderboard::-webkit-scrollbar {
        width: 0 !important;
    }

    .leader-modal .leaderboard .pos {
        height: 42px;
        line-height: 42px;
    }

    .leader-modal .leaderboard .last-sel {
        width: calc(100% - 149px);
    }
}

@media only screen and (max-width: 480px) {
    .leader-modal .leaderboard .user {
        display: none;
    }

    .leader-modal .leaderboard .name {
        width: calc(100% - 124px);
    }
}

@media only screen and (min-width: 481px) and (max-width: 768px) {
    .leader-modal .leaderboard .name {
        width: calc((100% - 126px) * 0.6);
    }

    .leader-modal .leaderboard .user {
        width: calc((100% - 126px) * 0.4);
    }
}

@media only screen and (min-width: 769px) {
    modal.leader bottom {
        bottom: 0;
        margin-top: 2px;
        position: relative;
        width: 100%;
    }

    .leader-modal .leaderboard .name {
        width: calc((100% - 205px) * 0.35);
    }

    .leader-modal .leaderboard .user {
        width: calc((100% - 205px) * 0.25);
    }

    .leader-modal .leaderboard .last-sel {
        width: calc((100% - 205px) * 0.4);
    }
}
